Do you want to **report a bug?** or **request a feature?**, please keep the corresponding template.

## Report a bug

Please provide the steps to reproduce your problem and, if possible, a full reproducible environment. **As we are working directly with containers, please provide the Dockerfile sample or the Docker image name**

* [ ] **Explain with a simple sentence the expected behavior**
* [ ] **Tartiflette version:** _e.g 0.1.0_
* [ ] **Python version:** _e.g 3.6_
* [ ] **Executed in docker:** _Yes|No_
* [ ] **Dockerfile sample:** _Link of sample_
* [ ] **GraphQL Schema & Query:** _e.g gist, pastebin or directly the query_
* [ ] **Is it a regression from a previous versions?** _e.g Yes|No_
* [ ] **Stack trace**

## Request a feature

* A feature is missing from the GraphQL Specification?
* A hook is missing in the API to plug your code?
* A part of the project could be improved?

Don't hesitate to ask a new feature or join in and send us a pull request with your own feature!

Before coding anything, make sure to:
* **Stage 1 - Proposal:** Propose your changes/ideas through an issue _(optional)_
* **Stage 2 - Draft:** Push your code & create a pull-request with the `WHY` of your work.
* **Stage 3 - Candidate:** Stable code, tested & documented.
* **Stage 4 - :tada:** Your code is merged and available.
